
Infrastructure - Task #2169

Story # 2005 (Closed): Status page for nodes, and for infrastructure

Design content and layout for status page

2012-01-06 03:30 - Dave Vieglais

Status: In Progress Start date: 2012-01-06

Priority: Normal Due date:  

Assignee: Dave Vieglais % Done: 30%

Category: d1_monitor Estimated time: 0.00 hour

Target version:    

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

The status page should present the overall status of an environment in an easily digestible presentation that shows key operational

statistics for the nodes participating in the environment.

The status page should be available on any CN.

Information that should be presented:

Name of the environment

Coordinating and Member nodes participating in the environment

Number of objects per node (as reported by list objects)

Ping status and time of last check for each node

Last synchronization check for member nodes

Plus other information as deemed appropriate without overly cluttering the interface.

Related issues:

Related to Infrastructure - Task #2170: Implement status page Closed 2012-01-06

History

#1 - 2012-01-17 15:53 - Dave Vieglais

- Assignee changed from Ben Leinfelder to Dave Vieglais

#2 - 2012-03-14 20:40 - Ben Leinfelder

- Status changed from New to In Progress

I've got a preliminary draft of this on cn-dev* that includes the listed items. Let me know of any more you'd like to add.

https://cn-dev-rr.dataone.org/portal/status.jsp

It will be included with the portal.war that is installed on each CN since there was already a good infrastructure for housing it in that web app.
